%define major            0
%define libname          %mklibname divecomputer-subsurface %{major}
%define develname        %mklibname divecomputer-subsurface -d

%define major_orig       0
%define libname_orig     %mklibname divecomputer %{major_orig}
%define develname_orig   %mklibname divecomputer -d

# disable debuginfo, it's empty anyway due to static-only library
%global debug_package   %{nil}
%global gittag  9641883f2fc63928c6513895959fe72ed990e117
%global gitdate 20240602

%define rel 3

Name:           libdivecomputer-subsurface
Summary:        Library for communication with dive computers
Version:        5.0.10
Release:        %mkrel %{rel}.git%{gitdate}
# includes "Public domain" portions from https://github.com/kokke/tiny-AES128-C :
# aes.c
License:        LGPLv2+
Group:          Development/C
URL:            https://github.com/subsurface/libdc
Source0:        https://github.com/subsurface/libdc/archive/%{gittag}.tar.gz

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libtool

%description
Libdivecomputer is a cross-platform and open source library for
communication with dive computers from various manufacturers.

%package -n %{develname}
Summary:    Header files and development libraries for %{name}
Group:      Development/C
Provides:   divecomputer-subsurface-devel = %{version}-%{release}
Conflicts:  %{develname_orig}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q -n libdc-%{gittag}

%build
# generate configure
autoreconf -fi

%configure \
  --disable-doc \
  --disable-silent-rules \
  --disable-shared \
  --enable-static

%make_build

%install
%make_install

# fix version in libdivecomputer.pc
sed -i -e 's,^Version.*,Version: %{version},' \
	%{buildroot}%{_libdir}/pkgconfig/libdivecomputer.pc

## unpackaged files
rm -f %{buildroot}%{_bindir}/dctool
rm -f %{buildroot}%{_libdir}/lib*.la

%files -n %{develname}
%doc NEWS README
%license COPYING
%{_includedir}/libdivecomputer/
%{_libdir}/libdivecomputer.a
%{_libdir}/pkgconfig/libdivecomputer.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 5.0.10-3.git20240602.mga10
+ Revision: 2225057
- Mageia 10 Mass Rebuild

* Tue Jul 16 2024 papoteur <papoteur> 5.0.10-2.git20240602.mga10
+ Revision: 2081799
- new version from git at 2024-06-02

* Mon Oct 17 2022 guillomovitch <guillomovitch> 5.0.10-1.mga9
+ Revision: 1897385
- new version 5.0.10

* Wed Apr 06 2022 guillomovitch <guillomovitch> 5.0.8-1.mga9
+ Revision: 1846758
- new version 5.0.8

* Fri Mar 25 2022 umeabot <umeabot> 5.0.3-2.mga9
+ Revision: 1825531
- Mageia 9 Mass Rebuild

* Sun Aug 22 2021 guillomovitch <guillomovitch> 5.0.3-1.mga9
+ Revision: 1742383
- new version 5.0.3

* Sun Apr 04 2021 guillomovitch <guillomovitch> 5.0.1-1.mga9
+ Revision: 1713121
- new version 5.0.1

* Wed Nov 25 2020 guillomovitch <guillomovitch> 4.9.10-1.mga8
+ Revision: 1649307
- new version 4.9.10

* Mon Nov 23 2020 guillomovitch <guillomovitch> 4.9.9-1.mga8
+ Revision: 1648644
- new version 4.9.9

* Fri Jul 24 2020 daviddavid <daviddavid> 4.9.6-1.mga8
+ Revision: 1608746
- new version: 4.9.6

* Sat May 16 2020 guillomovitch <guillomovitch> 4.9.4-1.mga8
+ Revision: 1584670
- new version 4.9.4

* Sun Feb 16 2020 umeabot <umeabot> 4.9.3-2.mga8
+ Revision: 1534701
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 06 2019 guillomovitch <guillomovitch> 4.9.3-1.mga8
+ Revision: 1449824
- new version 4.9.3

* Thu Aug 15 2019 guillomovitch <guillomovitch> 4.9.1-1.mga8
+ Revision: 1429389
- new version 4.9.1

* Fri May 17 2019 guillomovitch <guillomovitch> 4.8.6-1.mga7
+ Revision: 1398118
- new version 4.8.6

* Wed Feb 20 2019 guillomovitch <guillomovitch> 4.8.5-1.mga7
+ Revision: 1369008
- new version 4.8.5

* Sat Oct 06 2018 guillomovitch <guillomovitch> 4.8.3-1.mga7
+ Revision: 1318217
- new version 4.8.3

* Sun Sep 23 2018 umeabot <umeabot> 4.7.8-2.mga7
+ Revision: 1298806
- Mageia 7 Mass Rebuild

* Sun May 13 2018 guillomovitch <guillomovitch> 4.7.8-1.mga7
+ Revision: 1229011
- new version 4.7.8

* Tue Feb 27 2018 guillomovitch <guillomovitch> 4.7.7-1.mga7
+ Revision: 1205544
- new version 4.7.7

* Sat Dec 30 2017 wally <wally> 4.7.6-2.mga7
+ Revision: 1188039
- fix version in libdivecomputer.pc

* Sat Dec 30 2017 guillomovitch <guillomovitch> 4.7.6-1.mga7
+ Revision: 1187612
- new version 4.7.6

* Mon Oct 02 2017 guillomovitch <guillomovitch> 4.6.4-1.mga7
+ Revision: 1162429
- imported package libdivecomputer-subsurface


* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.2-1
- 4.6.2

* Fri Feb 17 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.1-1
- 4.6.1

* Thu Feb 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.0-2
- add .spec comment about aes.c from https://github.com/kokke/tiny-AES128-C

* Tue Feb 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.0-1
- 4.6.0, Name: libdivecomputer-subsurface

* Wed Nov 11 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.5.2-1
- Update to 4.5.2

* Wed Nov 04 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.5.1-1
- Update to 4.5.1

* Wed Oct 14 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.4.2-1
- Initial packaging work for Fedora

